Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.validation
Class DateWord

    java.lang.Object
      com.bea.web.validation.Word
          com.bea.web.validation.DateWord

All Implemented Interfaces:
  Serializable

    public class DateWord

extends Word
implements Serializable

Determines if a value is a valid date and is in the proper format. By default (i.e. format is not directly specified), this class parses the value for date using MM/dd/yyyy.

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_FORMAT`
`static boolean` | `DEFAULT_LENIENT`

Constructor Summary
`DateWord()`

Method Summary
`String` | `getFormat()`
`boolean` | `isLenient()`
`void` | `setFormat(String strFormat)`
`void` | `setLenient(boolean bIsLenient)`
`IValidationResult` | `validate(String strValue, ResourceBundle bundle)`

Methods inherited from class com.bea.web.validation.Word
`formatMessage, formatMessage, getKey, getPattern, getResource, isRequired, matchesPattern, setKey, setPattern, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_LENIENT

    public static final boolean DEFAULT_LENIENT

See Also:
  Constant Field Values

### DEFAULT_FORMAT

    public static final String DEFAULT_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### DateWord

    public DateWord()

Method Detail

### validate

    public IValidationResult validate(String strValue,
                                      ResourceBundle bundle)

  Overrides:
    `validate` in class `Word`

### setFormat

    public final void setFormat(String strFormat)

### getFormat

    public final String getFormat()

### setLenient

    public final void setLenient(boolean bIsLenient)

### isLenient

    public final boolean isLenient()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD